HDF: mfhdf/hrepack/hrepack.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hrepack.h File Reference
`#include "hrepack_lsttable.h"`

## Data Structures
struct | obj_list_t
struct | comp_info_t
struct | chunk_info_t
struct | pack_info_t
struct | options_table_t
struct | options_t

## Macros
#define | NN_MODE 0
#define | EC_MODE 1
#define | TAG_GRP_IMAGE DFTAG_RIG
#define | TAG_GRP_DSET DFTAG_NDG

## Functions
int | hrepack (const char *infname, const char *outfname, options_t *options)
int | hrepack_addcomp (const char *str, options_t *options)
int | hrepack_addchunk (const char *str, options_t *options)
void | hrepack_init (options_t *options, int verbose)
void | hrepack_end (options_t *options)
int | hrepack_main (const char *infile, const char *outfile, options_t *options)
int | list (const char *infname, const char *outfname, options_t *options)
int | read_info (const char *filename, options_t *options)

## Macro Definition Documentation

## ◆ EC_MODE

#define EC_MODE 1

## ◆ NN_MODE

#define NN_MODE 0

## ◆ TAG_GRP_DSET

#define TAG_GRP_DSET DFTAG_NDG

## ◆ TAG_GRP_IMAGE

#define TAG_GRP_IMAGE DFTAG_RIG

## Function Documentation

## ◆ hrepack()

int hrepack | ( | const char * | infname,
|  | const char * | outfname,
|  | options_t * | options )

## ◆ hrepack_addchunk()

int hrepack_addchunk | ( | const char * | str,
|  | options_t * | options )

## ◆ hrepack_addcomp()

int hrepack_addcomp | ( | const char * | str,
|  | options_t * | options )

## ◆ hrepack_end()

void hrepack_end | ( | options_t * | options | ) |

## ◆ hrepack_init()

void hrepack_init | ( | options_t * | options,
|  | int | verbose )

## ◆ hrepack_main()

int hrepack_main | ( | const char * | infile,
|  | const char * | outfile,
|  | options_t * | options )

## ◆ list()

int list | ( | const char * | infname,
|  | const char * | outfname,
|  | options_t * | options )

## ◆ read_info()

int read_info | ( | const char * | filename,
|  | options_t * | options )